INSTALLPKG(8)

NAMA
installpkg - menginstall paket Slackware.

SINOPSIS
installpkg [ --warn ] [ --md5sum ] [ --root /otherroot ] [ --infobox ] [ --menu ] [ --terse ] [ --ask ] [ --priority ADD|REC|OPT|SKP ] [ --tagfile /direktori/filetag ] namapaket [ namapaket2 ... ]

DESKRIPSI
installpkg menginstall atau atau banyak paket biner *.tgz (atau .tbz, .tlz, .txz) yang didesain untuk distribusi Slackware Linux pada sistem Anda.

OPSI

--warn namapaket
    Menghasilkan daftar file yang akan ditimpa pada output standar, tetapi tidak menginstall paket yang sebenarnya. Daftar diformat dengan cara yang sesuai untuk digunakan sebagai daftar file yang akan dibackup.

--md5sum namapaket
    Mencatat md5sum paket pada metadata yang ditulis pada /var/log/packages.

--root /rootlain
    Menginstall menggunakan lokasi selain / (default) sebagai root dari sistem berkas. Pada contoh yang diberikan, gunakan /rootlain. Mengatur variabel lingkungan ROOT menghasilkan hasil yang sama.

--infobox
    Menggunakan /bin/dialog untuk menampilkan informasi dialog saat paket diinstall. Digunakan ketika installpkg dipanggil dari script lain.

--menu
    Menggunakan /bin/dialog untuk menampilkan menu yang menanyakan pengguna apakah mereka hendak menginstall paket atau tidak. Biasanya digunakan ketika installpkg dipanggil dari script lain.

--terse
    Menginstall paket dengan menampilkan satu baris deskripsi pada stdout.

--ask
    Digunakan dengan mode -menu. Ketika dipilih, selalu bertanya apakah paket harus diinstall tanpa melihat prioritas paket.

--priority ADD|REC|OPT|SKP
    Ketika menginstall menggunakan opsi -menu, level prioritas paket (ditemukan pada file "tagfile" pada direktori paket) akan digunakan untuk secara otomatis menginstall (ADD) atau melewati (SKIP) paket, atau menawarkan (REC) atau opsional (OPT) pada pengguna jika menu ditampilkan. Jika prioritas ditentukan pada perintah baris, akan menimpa nilai yang ditentukan pada file tag untuk seluruh daftar paket.

--tagfile /direktori/filetag
    Menentukan file yang berbeda yang digunakan untuk prioritas paket (dalam contoh ini /direktori/filetag akan digunakan). Defaultnya adalah "tagfile" pada direktori paket.

CONTOH

menginstall paket font untuk X:

installpkg font-bh-ttf-1.0.3-noarch-1.txz

Perhatikan jika paket sudah terinstall, sebaiknya menggunakan upgradepkg(8).

Membuat backup dari file yang akan ditimpa apabila paket terinstall:

tar czvf /tmp/backup.tar.gz \⏎
$(installpkg --warn font-bh-ttf-1.0.3-noarch-1.txz)⏎

PEMBUAT
Patrick J. Volkerding <volkerdi@slackware.com>

LIHAT JUGA
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8)